//
//  Common.h
//  PlanetHex
//
//  Created by Don McBrien on 23/03/2020.
//  Copyright © 2020 Don McBrien. All rights reserved.
//

#ifndef Common_h
#define Common_h

#import <simd/simd.h>

typedef struct {
   vector_float4 color;
   vector_float2 uvOffset;          // uv to be added to local uv to get global value
   ushort currentTriangle;        // (0...5) i.e. clockwise thru TL,TC,TR,BR,BR,BL
} VertexUniforms;


#endif /* Common_h */
